Safari Extension 4.5.3 (as well as .4 b1) fail to install

hi

the old 4.4.4 extension doesn't work well with v 6.0.2 and safari 9.0.2 (os x 10.10.2).
so i wanted to switch to the newest version.
i tried uninstalling the old extension, quitting and relaunching safari, but when trying to install the new extension (4.5.3) the install just fails without any error massage.
same with the beta extension.
the extension just doesn't show up in the list.
reseting safari extension and even repairing permissons of the extension folder didn't work.

i had to resort to the old 4.4.4 extension, which doesn't fill A LOT of sites anymore (amazon, ebay, etc.)

i see the same problem on four different macs (all with 6.0.1 and safari 9.0.2)

autofilling the same sites in chrome works fine, btw.

thanks for advising.
jay


1Password Version: Not Provided
Extension Version: Not Provided
OS Version: Not Provided
Sync Type: Not Provided
Referrer: kb:fix-website-login, kb:check-extension-version, kb:fix-website-login, kb-search:6.0.1, kb-search:fill safari

Comments

  • jxpx777jxpx777 Code Wrangler 1Password Alumni

    Hi, @jay77. I'm sorry for the trouble you're having. Some users have reported trouble installing the extension, and this appears to be a bug in Safari itself when using the mouse or other pointing device to click the button. To work around this, please try this:

    1. Open System Preferences and navigate to Keyboard > Shortcuts
    2. Enable the “All Controls” checkbox if it's not enabled
    3. Install the extension again and use the Tab key on the keyboard to highlight Trust
    4. Press the “Space bar” to select the Trust button

    I hope that helps. Please let us know how it goes.

    --
    Jamie Phelps
    Code Wrangler @ AgileBits

  • JBEAN74JBEAN74 Junior Member

    My All Controls was already enabled. Your instructions did not solve the problem.

  • Hi @JBEAN74,

    We still don't fully understand the cause behind this silent failure but the good news is version 4.5.2 is now available from the Safari Extension Gallery. You should be able to download an up to date version of the extension that will work with 1Password 6 from https://safari-extensions.apple.com/details/?id=com.agilebits.onepassword4-safari-2BUA8C4S2C

    It doesn't resolve the issue of why people can't install the extension when it comes from our site but by being able to return to the Safari Extension Gallery version it will mean that going forward it will automatically update, something Safari won't do if you use the developer version (as Safari refers to it).

    Does this help with your filling issues?

  • I have this same problem. Tried to install Extension v4.5.2 to Safari v9.0.3. I get a dialog box which states "Safari can't install this extension. An error occurred while installing the extension “1Password”." I tried the "All Controls" from above, that didn't work for me. My Safari does not have a version of the Extension currently installed.

  • jxpx777jxpx777 Code Wrangler 1Password Alumni

    @oldsmike Were you installing from our website or using the extension page in Apple's gallery? If you didn't yet give the latter a try, please do and let us know if you have any other issues.

  • Hello jxpx777: I double checked my settings. I'm all set, Thank You. Have 4.5.3 of the extension working properly.

  • jxpx777jxpx777 Code Wrangler 1Password Alumni

    Great, @oldsmike! Thanks for the update.

This discussion has been closed.